<%@ Page Title="" Language="C#" MasterPageFile="~/Master/officeMaster.master" AutoEventWireup="true" CodeFile="registers.aspx.cs" Inherits="personal_registers" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
<style type="text/css">
                 
     .style8
     {
         width: 546px;
         height: 757px;
     }
      
     .style10
     {
         height: 36px;
         text-align: right;
         width: 97px;
     }
     .style11
     {
         text-align: right;
     }
     .style12
     {
         height: 36px;
         Width:376px;
         text-align: left;
     }
     .style13
     {
        text-align: left;
        width: 376px;
    }
 
     .style15
     {
         text-align: right;
         width: 97px;
     }
 
     </style>
<SCRIPT type="text/javascript">

    function yjdh(strsfzh) {
        if (strsfzh.length > 0) {
            document.getElementById("<%=Label23.ClientID%>").innerHTML = "*";
            return true;
        }
        else
            document.getElementById("<%=Label23.ClientID%>").innerHTML = "应急电话不能为空！";
        return false;
    }


    function ybrgx(strsfzh) {
        if (strsfzh.length > 0) {
            document.getElementById("<%=Label24.ClientID%>").innerHTML = "*";
            return true;
        }
        else
            document.getElementById("<%=Label24.ClientID%>").innerHTML = "不能为空！";
        return false;
    }


    function yjlxr(strsfzh) {
        if (strsfzh.length > 0) {
            document.getElementById("<%=Label25.ClientID%>").innerHTML = "*";
            return true;
        }
        else
            document.getElementById("<%=Label25.ClientID%>").innerHTML = "应急联系人不能为空！";
        return false;
    }


    function grqq(strsfzh) {
        if (strsfzh.length > 0) {
            document.getElementById("<%=Label26.ClientID%>").innerHTML = "*";
            return true;
        }
        else
            document.getElementById("<%=Label26.ClientID%>").innerHTML = "个人QQ不能为空！";
        return false;
    }


    function gremail(strEmail) {
        if (strEmail.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) != -1) {
            document.getElementById("<%=Label27.ClientID%>").innerHTML = "*";
            return true;
        }
        else

            document.getElementById("<%=Label27.ClientID%>").innerHTML = "个人邮箱格式不正确！";
        return;
    }

    function gzqq(strsfzh) {
        if (strsfzh.length > 0) {
            document.getElementById("<%=Label28.ClientID%>").innerHTML = "*";
            return true;
        }
        else
            document.getElementById("<%=Label28.ClientID%>").innerHTML = "工作QQ不能为空！";
        return false;
    }


    function lxdz(strsfzh) {
        if (strsfzh.length > 0) {
            document.getElementById("<%=Label30.ClientID%>").innerHTML = "*";
            return true;
        }
        else
            document.getElementById("<%=Label30.ClientID%>").innerHTML = "！";
        return false;
    }

    function jtdz(strsfzh) {
        if (strsfzh.length > 0) {
            document.getElementById("<%=Label31.ClientID%>").innerHTML = "*";
            return true;
        }
        else
            document.getElementById("<%=Label31.ClientID%>").innerHTML = "！";
        return false;
    }


    function jtdh(strsfzh) {
        if (strsfzh.length > 0) {
            return true;
        }
        else
            return false;
    }


    function sfzh(strsfzh) {
        if (strsfzh.length > 14) {
            document.getElementById("<%=Label34.ClientID%>").innerHTML = "*";
            return true;
        }
        else
            document.getElementById("<%=Label34.ClientID%>").innerHTML = "身份证号输入错误！";
        return false;
    }

    function lxdh(strsfzh) {
        if (strsfzh.length > 0) {
            document.getElementById("<%=Label33.ClientID%>").innerHTML = "*";
            return true;
        }
        else
            document.getElementById("<%=Label33.ClientID%>").innerHTML = "联系电话不能为空！";
        return false;
    }



    function isEmail(strEmail) {
        if (strEmail.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) != -1) {
            document.getElementById("<%=Label29.ClientID%>").innerHTML = "*";
            return true;
        }
        else

            document.getElementById("<%=Label29.ClientID%>").innerHTML = "邮箱格式不正确！";
        return;
    }

    function username(strname) {
        if (strname.length > 0) {
            return true;
        }
        else

            return false;
    }

    function username1(strname) {
        if (strname.length > 0) {
            document.getElementById("<%=Label38.ClientID%>").innerHTML = "*";
            return true;
        }
        else
            document.getElementById("<%=Label38.ClientID%>").innerHTML = "真实姓名不允许为空！";
        return false;
    }


    function userpass(strname) {
        if (strname.length > 5) {
            document.getElementById("<%=Label36.ClientID%>").innerHTML = "*";
            return true;
        }
        else
            document.getElementById("<%=Label36.ClientID%>").innerHTML = "密码不能小于六位！";
    }


</SCRIPT>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<%--<div  style=" background-image:url('../b2c/images/win_top.png'); text-align:center; font-weight:bold; height:35px; line-height:30px;" 
                        class="style2">
                           <span class="style16">用户注册</span>
        </div>--%>
        <table class="usertableborder" cellspacing="1" cellpadding="3" width="100%" align="center"
        border="0">
        <tr><th>用户注册</th></tr>
</table>
              <div style="line-height:28px">
                <center>
                   
                   <table class="style8" width="100%" >
                        <tr>
                            <td class="style10" width="35%">
                 <asp:Label ID="Label2" runat="server" Text="编号：" 
                                    style="text-align: right;"></asp:Label>
                            </td>
                            <td class="style12">
                 <asp:TextBox ID="TextNumber" runat="server" ></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                 <asp:Label ID="Label3" runat="server" Text="职位：" style="text-align: right;"></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:DropDownList ID="DropDownList1" runat="server" style="margin-left: 0px" Width="101px" 
                                    onselectedindexchanged="DropDownList1_SelectedIndexChanged1"    AutoPostBack="True" 
                                    >
                                      <asp:ListItem Value="0">请选择</asp:ListItem>
       
                    </asp:DropDownList>
                    <asp:DropDownList ID="DropDownList2" runat="server" Width="111px">
                     <asp:ListItem Value="0">请选择</asp:ListItem>
                    </asp:DropDownList>
                            </td>
                        </tr>
                        
                        <tr>
                            <td class="style15">
                    <asp:Label ID="Label5" runat="server" Text="用户名："></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:TextBox ID="TextLoginName" runat="server" Width="147px" onblur=username(this.value)></asp:TextBox>
                                &nbsp;&nbsp;&nbsp;<asp:Label ID="Label37" runat="server" Text="*" 
                                    style="color: #FF0000" Visible="False"></asp:Label>
                                <asp:Button ID="btn" runat="server" Text="检  测" Width="72px" 
                                    onclick="btn_Click" BackColor="#CCCCCC" />
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                    <asp:Label ID="Label6" runat="server" Text="密码："></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:TextBox ID="TextPwd" runat="server" TextMode="Password" Width="148px" onblur=userpass(this.value)></asp:TextBox>
                                &nbsp;&nbsp;
                                <asp:Label ID="Label36" runat="server" Text="*" 
                                    style="color: #FF0000;"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                    <asp:Label ID="Label7" runat="server" Text="确认密码："></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:TextBox ID="TextPwd1" runat="server" TextMode="Password" Width="148px"></asp:TextBox>
                                &nbsp;&nbsp;
                                <asp:Label ID="Label35" runat="server" Text="*" 
                                    style="color: #FF0000; "></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                    <asp:Label ID="Label21" runat="server" Text="性别："></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:RadioButton ID="RadioButton1" runat="server" Text="男" GroupName="Sex" Checked=true />
                    <asp:RadioButton ID="RadioButton2" runat="server" Text="女" GroupName="Sex" />
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                    <asp:Label ID="Label22" runat="server" Text="出生日期："></asp:Label>
                            </td>
                            <td class="style13">
                                <asp:TextBox ID="TextBox20" runat="server" onfocus="WdatePicker()" ></asp:TextBox>
                                &nbsp;
                                <asp:Label ID="Label40" runat="server" Text="*" style="color: #FF0000; " 
                                ></asp:Label>
                                </td>
                        </tr>
                        <tr>
                            <td class="style15">
                    <asp:Label ID="Label4" runat="server" Text="真实姓名："></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:TextBox ID="TextPersonnelName" runat="server" 
                                    onblur=username1(this.value)></asp:TextBox>
                                &nbsp;
                                <asp:Label ID="Label38" runat="server" Text="*" style="color: #FF0000;" 
                                ></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                                <asp:Label ID="Label8" runat="server" Text="身份证号："></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:TextBox ID="TextIdCardNum" runat="server"   onblur=sfzh(this.value)></asp:TextBox>
                                &nbsp;&nbsp;<asp:Label ID="Label34" runat="server" Text="*" 
                                    style="color: #FF0000; "></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                                <asp:Label ID="Label9" runat="server" Text="联系电话："></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:TextBox ID="TextCallPhone" runat="server" onblur=lxdh(this.value)></asp:TextBox>
                                &nbsp;
                                <asp:Label ID="Label33" runat="server" Text="*" 
                                    style="color: #FF0000;"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                                <asp:Label ID="Label10" runat="server" Text="家庭电话："></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:TextBox ID="TextPhone" runat="server" onblur=jtdh(this.value)></asp:TextBox>
                                &nbsp;&nbsp;<asp:Label ID="Label32"  Visible =false runat="server" Text="*" 
                                    style="color: #FF0000; "></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                    <asp:Label ID="Label11" runat="server" Text="家庭地址："></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:TextBox ID="TextFamilyAddress" runat="server" Width="350px" Height="20px" onblur=jtdz(this.value)></asp:TextBox>
                                <asp:Label ID="Label31" runat="server" Text="*" 
                                    style="color: #FF0000;"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                    <asp:Label ID="Label19" runat="server" Text="联系地址："></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:TextBox ID="TextBox19" runat="server" Width="350px" Height="20px" onblur=lxdz(this.value)></asp:TextBox>
                                <asp:Label ID="Label30" runat="server" 
                                    style="color: #FF0000;" Text="*"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                                <asp:Label ID="Label12" runat="server" Text="工作Email："></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:TextBox ID="TextEmail" runat="server" onblur=isEmail(this.value) ></asp:TextBox>
                                &nbsp;
                                <asp:Label ID="Label29" runat="server" Text="*" 
                                    style="color: #FF0000;"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                    <asp:Label ID="Label13" runat="server" Text="工作QQ："></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:TextBox ID="TextBox13" runat="server" onblur=gzqq(this.value)></asp:TextBox>
                                &nbsp;
                                <asp:Label ID="Label28" runat="server" Text="*" 
                                    style="color: #FF0000;"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                                <asp:Label ID="Label14" runat="server" Text="个人Emainl："></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:TextBox ID="TextBox14" runat="server" onblur=gremail(this.value)></asp:TextBox>
                                &nbsp;
                                <asp:Label ID="Label27" runat="server" Text="*" 
                                    style="color: #FF0000;"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                    <asp:Label ID="Label15" runat="server" Text="个人QQ："></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:TextBox ID="TextBox15" runat="server" onblur=grqq(this.value)></asp:TextBox>
                                &nbsp;
                                <asp:Label ID="Label26" runat="server" Text="*" 
                                    style="color: #FF0000;"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                                <asp:Label ID="Label16" runat="server" Text="应急联系人："></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:TextBox ID="TextUrgetRelationName" runat="server" onblur=yjlxr(this.value)></asp:TextBox>
                                &nbsp;&nbsp;<asp:Label ID="Label25" runat="server" Text="*" 
                                    style="color: #FF0000;"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                                <asp:Label ID="Label17" runat="server" Text="与本人关系："></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:TextBox ID="TextUrgetRelationRelation" runat="server" onblur=ybrgx(this.value)></asp:TextBox>
                                &nbsp;
                                <asp:Label ID="Label24" runat="server" Text="*" 
                                    style="color: #FF0000;"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                    <asp:Label ID="Label18" runat="server" Text="应急电话："></asp:Label>
                            </td>
                            <td class="style13">
                    <asp:TextBox ID="TextUrgetRelationPhone" runat="server" onblur=yjdh(this.value)></asp:TextBox>
                                &nbsp;
                                <asp:Label ID="Label23" runat="server" Text="*" 
                                    style="color: #FF0000;"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td class="style15">
                    <asp:Label ID="Label1" runat="server" Text="审批状态："></asp:Label>
                           </td>
                            <td class="style13">
                    <asp:RadioButton ID="shenpi" runat="server" Text="通过" GroupName="appprovestate" />
                    <asp:RadioButton ID="weishenpi" runat="server" Text="不通过" GroupName="appprovestate"  Checked="true"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="style11" colspan="2">
                    <asp:Button ID="Button1" runat="server" Text="提  交" Width="72px" onclick="Button1_Click" 
                                    BackColor="#CCCCCC" />
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;
                    <asp:Button ID="Button2" runat="server" Text="重  置" Width="72px" onclick="Button2_Click" 
                                    BackColor="#CCCCCC" />
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            </td>
                        </tr>
                    </table>
            </center> 
            </div>
</asp:Content>

